Subject: Re: bug#65412: Guix installer failed to install

From: Josselin Poiret <[email-masked]>
Date: Tue, 22 Aug 2023 11:08:01 +0200

Hi Bruno,

Bruno Haible <[email-masked]> writes:
>
> The problem is not so much that it failed, but that the warning
> message does not sufficiently describe the cause:
>   * I understand the figure of 6 GB: that's the expected size for
>     a GUI environment with MATE.
>   * But I don't understand the figure of 1 GB.
>     - Is /mnt a RAM disk (the VM has 2 GB of RAM), or did the installer fail
>       to mount /mnt?
>     - Or is /mnt overloaded to the swap partition (which has 1 GB in my config)?
>     - Or is /mnt the 10 GB partition of my disk, and the downloaded binaries
>       already filled 9 GB of it?
> If I knew this, I would know what to do to fix the problem: Add more RAM?
> Partition differently? Use a larger main partition?

My guess is that, because a Guix system init installs some stuff in
steps, one of these steps ended up requiring too much space, that would
be bullet point 3 above.  You can check that it's not 1 or 2 by, once
you reproduce this bug, going to tty3 (using ctrl+alt+f3), and typing
`lsblk` to check which partition is mounted where.  In the meantime, I
would probably recommend adding some space for /.

Best,
-- 
Josselin Poiret